<?php


namespace App\Entities\Administrativo;

use App\Utils\Entity;

class Administrativo extends Entity
{
    protected $id;
    protected $id_profissional;

    public static function builder() : AdministrativoBuilder
    {
        $assistente_builder = new AdministrativoBuilder();
        return $assistente_builder;
    }

    public function getId() : int
    {
        return $this->id;
    }

    public function getIdProfissional() : int
    {
        return $this->id_profissional;
    }

    public function setId(int $id): void
    {
        $this->id = $id;
    }

    public function setIdProfissional(int $id_profissional): void
    {
        $this->id_profissional = $id_profissional;
    }
}